FIND_PATH(PAPI_INCLUDE_DIR papi.h)

FIND_LIBRARY(PAPI_LIBRARY NAMES papi)

IF (PAPI_INCLUDE_DIR AND PAPI_LIBRARY)
  SET(PAPI_FOUND TRUE)
ENDIF (PAPI_INCLUDE_DIR AND PAPI_LIBRARY)


IF (PAPI_FOUND)
  IF (NOT Papi_FIND_QUIETLY)
    MESSAGE(STATUS "Found Papi: ${PAPI_LIBRARY}")
  ENDIF (NOT Papi_FIND_QUIETLY)
ELSE (PAPI_FOUND)
  IF (Papi_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Could not find Papi")
  ENDIF (Papi_FIND_REQUIRED)
ENDIF (PAPI_FOUND)

